%define module  Email-MessageID
%define name    perl-%{module}
%define up_version 1.401
%define version %perl_convert_version %{up_version}
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Generate world unique message-ids
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.gz
BuildRequires:  perl(Email::Address)
Requires:       perl(Email::Address)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Message-ids are optional, but highly recommended, headers that identify a
message uniquely. This software generates a unique message-id.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*



%changelog
* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.401.0-2mdv2010.0
+ Revision: 378110
- fix dependencies

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.401.0-1mdv2010.0
+ Revision: 337635
- new version
- standardized version

* Thu Dec 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.400-1mdv2009.1
+ Revision: 315965
- new version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.351-3mdv2009.0
+ Revision: 268464
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.351-2mdv2009.0
+ Revision: 210954
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 04 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.351-1mdv2008.0
+ Revision: 22445
- New version


* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.35-1mdv2007.0
- new version

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdk
- first mdk release

